
TSconfig - Feature # 55038

Status: Resolved Priority: Must have
Author: Markus Klein Category:
Created: 2014-01-16 Assigned To: Christian Woebbeking
Updated: 2014-03-24 Due date:
Subject: New option for cache clearing
Description

New option

options.clearCache.system

If this option is set, the non-admin user is able to clear the system cache.
Note: It should not be necessary to do so for a normal user.

Clearing the system caches will impose a very large delay for the first load.

Related issues:
related to Core - Story # 54991: Improve caching framework by introducing groups Resolved 2014-01-15
related to Core - Bug # 57128: Ambiguous labels in clear cache menu Resolved 2014-03-21

Associated revisions
Revision 4a0f06fb - 2014-03-24 00:09 - Christian Woebbeking

[FEATURE] New option for cache clearing

Add new property options.clearCache.system.
Update description from options.clearCache.pages.
Update description from options.clearCache.all.

Resolves: #55038

Change-Id: I17e07448cb7fbcc2e53668727669c9adcb6250fa
Reviewed-on: https://review.typo3.org/28684
Reviewed-by: Christian Woebbeking
Tested-by: Christian Woebbeking

History
#1 - 2014-03-19 09:02 - Francois Suter

Christian apparently had some issues making this work, so I checked.

In fact adding only:

options.clearCache.system = 1

to a user's TSconfig does not work. You need to also set at least options.clearCache.pages or options.clearCache.all for the clear cache menu to show
up at all. So this works:

2015-08-04 1/2

https://review.typo3.org/28684


options.clearCache.all = 1
options.clearCache.system = 1

I would say that this is a TYPO3 bug, but I would need to dig a bit more into the code to be sure whether this is a desired behaviour or not.

In the meantime, you can go ahead and document this property anyway.

#2 - 2014-03-19 09:09 - Francois Suter

It's definitely a Core bug. I'll create a patch.

#3 - 2014-03-21 10:36 - Francois Suter

The Core bug has been fixed and the labels have been improved.

The following will probably help in documenting this new property correctly (and note that the description of clearCache.pages and clearCache.all may
need to be updated too):

    -  discussion in the core list: http://forum.typo3.org/index.php/t/202581/
    -  patch improving the labels: https://review.typo3.org/#/c/28588/

#4 - 2014-03-24 00:02 - Christian Woebbeking
- Assigned To set to Christian Woebbeking
- Estimated time set to 0.50

#5 - 2014-03-24 00:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tsconfig has been pushed to the review server.
It is available at https://review.typo3.org/28684

#6 - 2014-03-24 00:07 - Gerrit Code Review

Patch set 2 for branch master of project Documentation/TYPO3/Reference/Tsconfig has been pushed to the review server.
It is available at https://review.typo3.org/28684

#7 - 2014-03-24 00:40 - Christian Woebbeking
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4a0f06fb134dc635bc552623a90d81a371fb1009.
